"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = configContext => {
  const React = configContext.lib.React;
  const Row = configContext.layoutComponents.Row;
  const Field = configContext.recordComponents.Field;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(Field, {
      name: "relation-list-item",
      subpath: "rel:relations-common-list",
      showChildren: false,
      showSiblings: false
    }),
    React.createElement(
      Row,
      null,
      React.createElement(Field, { name: "taxonRank" }),
      React.createElement(Field, { name: "taxonCurrency" })
    ),
    React.createElement(Field, { name: "taxonNote" })
  );
};

exports.default = configContext => ({
  disabled: true,
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.taxon.mini.name",
      "defaultMessage": "Mini Template"
    }
  }),
  template: template(configContext)
});